Bug 219949 - Review Request: perl-File-Which - Portable implementation of the 'which' utility
Summary: Review Request: perl-File-Which - Portable implementation of the 'which' uti...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-17 16:46 UTC by Jose Pedro Oliveira
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 16:11:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-12-17 16:46:15 UTC
Spec URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-File-Which.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-File-Which-0.05-1.src.rpm

Description:
File::Which is a portable implementation (in Perl) of 'which', and can
be used to get the absolute filename of an executable program
installed somewhere in your PATH, or just check for its existence. It
includes the command-line utility 'pwhich' which has the same function
as 'which'.

Note: this module will help improving the test coverage of Perl::Critic.

Comment 1 Parag AN(पराग) 2006-12-17 17:48:44 UTC
Taking this for review

Comment 2 Patrice Dumas 2006-12-17 18:08:23 UTC
* rpmlint is silent
* free software, license not included
* follow packaging and naming guidelines
* match upstream
bd671a65f770fc0a124095e74c7c8013  File-Which-0.05.tar.gz
* sane provides 
Provides: perl(File::Which)
* %files and directory ownership right

I would have approved it if I were doing the review.

Comment 3 Parag AN(पराग) 2006-12-18 04:21:09 UTC
Patrice,
Thanks. Hey feel free to remove me if i have not posted any initial comments and
take that package review under REVIEW. :)


Comment 4 Parag AN(पराग) 2006-12-18 04:58:19 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
bd671a65f770fc0a124095e74c7c8013  File-Which-0.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ %check used
make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/all.......ok
t/load......ok
t/simple....ok
        5/9 skipped:
All tests successful, 5 subtests skipped.
Files=3, Tests=13,  0 wallclock secs ( 0.05 cusr +  0.02 csys =  0.07 CPU)

+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.



Comment 5 Jose Pedro Oliveira 2006-12-18 16:11:32 UTC
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.


Note You need to log in before you can comment on or make changes to this bug.